@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

a{
    text-decoration: none;
}

body{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.containerLogin {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container{
    position: relative;
    width: 460px;
    height: 640px;
    border-radius: 12px;
    padding: 20px 30px 120px;
    background: indianred;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.login-section{
    position: absolute;
    left: 50%;
    bottom: -88%;
    transform: translateX(-50%);
    width: calc(100% + 180px);
    padding: 20px 140px;
    background: #fff;
    border-radius: 290px;
    height: 100%;
    transition: all 0.6s ease;
}

.login-section header,
.signup-section header{
    font-size: 30px;
    text-align: center;
    color: #fff;
    font-weight: 600;
    cursor: pointer;
    margin-bottom: 10px;
}

.login-section header{
    color: #333;
    opacity: 0.6;
}

.login-section button{
    width: 100%;
}

.social-buttons{
    margin-top: 40px;
    display: flex;
    align-items: center;
    gap: 15px;
}

.social-buttons button{
    width: 100%;
    padding: 10px;
    background: #fff;
    border: none;
    border-radius: 10px;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    cursor: pointer;
}

.login-section .social-buttons button{
    border: 1px solid #000;
}

.login-section .social-buttons button i,
.signup-section .social-buttons button i{
    font-size: 25px;
}

.separator{
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.separator .line{
    width: 100%;
    height: 1px;
    background: #ccc;
}

.separator p{
    color: #fff;
}

.login-section .separator p{
    color: #000;
}

.container .form{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 40px;
}

.form input{
    outline: none;
    border: none;
    padding: 10px 15px;
    font-size: 16px;
    color: #333;
    font-weight: 400;
    border-radius: 8px;
    background: #fff;
}

.form select{
    outline: none;
    border: none;
    padding: 10px 15px;
    font-size: 16px;
    color: #333;
    font-weight: 400;
    border-radius: 8px;
    background: #fff;
}

.login-section input{
    border: 1px solid #aaa;
}

.signup-section input{
    margin-top: -3px;
    margin-bottom: -3px;
}

.signup-section select{
    margin-top: -3px;
    margin-bottom: -3px;
}

.signup-section button{
    margin-top: -3px;
    margin-bottom: -3px;
}

.form a{
    color: #333;
}

.signup-section form a{
    color: #fff;
}

form .btn{
    margin-top: 15px;
    border: none;
    padding: 10px 15px;
    border-radius: 8px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
}

.login-section .btn{
    background: #B03A2E;
    color: #fff;
    border: none;
}

.signup-section .btn{
    background: #B03A2E;
    color: #fff;
    border: none;
}

.container.active .login-section{
    bottom: -12%;
    border-radius: 220px;
    box-shadow: 0 -5px 10px rgba(0, 0, 0, 0.1);
}

.container.active .login-section header{
    opacity: 1;
}

.container.active .signup-section header{
    opacity: 0.6;
}

.loginQR {
    height: 10px;
    opacity: 0;
    display: flex;
    justify-content: center;
}

.loginQR img {
    width: 150px;
    height: 150px;
    margin-top: 20px;
}

.loginZipTown {
    display: flex;
    flex-flow: row;
}

.loginZip {
    width: 65px;
    min-width: 65px;
    max-width: 65px;
    padding: 5px 15px;
}

.loginTown {
    margin-left: 5px;
    width: 330px;
    min-width: 330px;
    max-width: 330px;
}

.loginCountry select {
    width: 100%;
    height: 40px;
    min-height: 40px;
    max-height: 40px;
}

.registerLoginContainer button {
    width: 100%;
    margin-top: 15px;
}

.loginPasswordValidator {
    background-color: darkred;
    color: whitesmoke;
    border-radius: 15px;
    padding: 15px;
}

.loginPasswordValidator p {
    margin: 0;
}

.loginQRshow {
    /*height: 150px;*/
    /*opacity: 1;*/
    /*padding: 0 18px;*/
    /*max-height: 0;*/
    /*overflow: hidden;*/
    /*transition: height 1s ease-in, opacity 1.5s ease-in;*/
    animation: loginQRkfShow 1s forwards;
    /*background-color: #f1f1f1;*/
}

.loginQRhide {
    /*height: 10px;*/
    /*opacity: 0;*/
    /*padding: 0 18px;*/
    /*max-height: 0;*/
    /*overflow: hidden;*/
    animation: loginQRkfHide 1s forwards;
    /*background-color: #f1f1f1;*/
}

@keyframes loginQRkfShow {
    0%   { opacity: 0; height: 0; }
    50%  { height: 100px; }
    75%  { opacity: 0; }
    100% { opacity: 1; height: 150px; }
}

@keyframes loginQRkfHide {
    0%   { opacity: 1; height: 150px; }
    50%  { opacity: 0; }
    75%  { height: 100px; }
    100% { opacity: 0; height: 0; }
}

.collapsible {
    margin-top: 5px;
}